Skip to main content
`Ctrl`+`K`

# PFSetType

Builds `PF` for a particular function

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFSetType(PF pf, PFType type, PetscCtx ctx)

Collective

## Input Parameters

- pf - the function context.

- type - a known type, see `PFType` for available methods (for instance, `PFCONSTANT`)

- ctx - optional type dependent context

## Options Database Key

- -pf_type (constant|mat|string|quick|identity|matlab) - Set the `PFType`

## See Also

`PF`, `PFSet()`, `PFRegister()`, `PFCreate()`, `DMDACreatePF()`, `PFType`, `PFGetType()`

## Level

intermediate

## Location

src/vec/pf/interface/pf.c

## Examples

src/snes/tutorials/ex22.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages